<?php 
/*******************************
 WIDGETS AREAS
********************************/

if ( function_exists('register_sidebar') )
    register_sidebar(array(
		'name' => 'sidebar',
        'before_widget' => '<div class="boxRight">',
        'after_widget' => '</div></div>',
        'before_title' => '<h2>',
        'after_title' => '</h2><div class="boxRightInner">',
    ));
	
	register_sidebar(array(
		'name' => 'footer',
        'before_widget' => '<div class="boxFooter">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
	
/*******************************
 MENUS SUPPORT
********************************/
if ( function_exists( 'wp_nav_menu' ) ){
	if (function_exists('add_theme_support')) {
		add_theme_support('nav-menus');
		add_action( 'init', 'register_my_menus' );
		function register_my_menus() {
			register_nav_menus(
				array(
					'primary-menu' => __( 'Primary Menu' )
				)
			);
		}
	}
}


/* CallBack functions for menus in case of earlier than 3.0 Wordpress version or if no menu is set yet*/

function primarymenu(){ ?>
		<div id="topMenuCont" class="clearfix">
			<ul>
					<li><a href="<?php bloginfo('url'); ?>/">Home</a></li>
					<?php wp_list_pages('title_li=') ?>
				</ul>
		</div>
<?php }

/*******************************
 THUMBNAIL SUPPORT
********************************/

add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 70, 70, true );

/*******************************
 EXCERPT LENGTH ADJUST
********************************/

function home_excerpt_length($length) {
	return 27;
}
add_filter('excerpt_length', 'home_excerpt_length');

/*******************************
 CUSTOM COMMENTS
********************************/

function mytheme_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class('clearfix'); ?> id="li-comment-<?php comment_ID() ?>">
	 <?php echo get_avatar($comment,$size='40',$default='http://www.gravatar.com/avatar/61a58ec1c1fba116f8424035089b7c71?s=32&d=&r=G' ); ?>
     <div id="comment-<?php comment_ID(); ?>">
	  <div class="comment-meta commentmetadata">
	    <?php printf(__('<strong>%s</strong>'), get_comment_author_link()) ?><?php edit_comment_link(__('(Edit)'),'  ','') ?> <span><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?>
	  </span>
	  </div>
	  
      <div class="text">
		  <?php comment_text() ?>
	  </div>
	  
	  <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Your comment is awaiting moderation.') ?></em>
         <br />
      <?php endif; ?>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>
     </div>
<?php }

/*******************************
  THEME OPTIONS PAGE
********************************/

add_action('admin_menu', 'designpile_theme_page');
function designpile_theme_page ()
{
	if ( count($_POST) > 0 && isset($_POST['designpile_settings']) )
	{
		$options = array ( 'style','logo_img', 'logo_alt','ads','contact_email','contact_text','latest_posts','flickr_link','twitter_link', 'facebook_link','keywords','description','analytics');
		
		foreach ( $options as $opt )
		{
			delete_option ( 'designpile_'.$opt, $_POST[$opt] );
			add_option ( 'designpile_'.$opt, $_POST[$opt] );	
		}			
		 
	}
	add_menu_page(__('Designpile Options'), __('Designpile Options'), 'edit_themes', basename(__FILE__), 'designpile_settings');
	add_submenu_page(__('Designpile Options'), __('Designpile Options'), 'edit_themes', basename(__FILE__), 'designpile_settings');
}
function designpile_settings()
{?>
<div class="wrap">
	<h2>Designpile Options Panel</h2>
	
<form method="post" action="">
	<fieldset style="border:1px solid #ddd; padding-bottom:20px; margin-top:20px;">
	<legend style="margin-left:5px; padding:0 5px;color:#2481C6; text-transform:uppercase;"><strong>General Settings</strong></legend>
	<table class="form-table">
		<!-- General settings -->
		<tr valign="top">
			<th scope="row"><label for="style">Theme Color Scheme</label></th>
			<td>
				<select name="style" id="style">
                	<option>Select theme style</option>				
					<option value="pink.css" <?php if(get_option('designpile_style') == 'pink.css'){?>selected="selected"<?php }?>>pink.css</option>
					<option value="green.css" <?php if(get_option('designpile_style') == 'green.css'){?>selected="selected"<?php }?>>green.css</option>
                    <option value="blue.css" <?php if(get_option('designpile_style') == 'blue.css'){?>selected="selected"<?php }?>>blue.css</option>
				</select> 
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="logo_img">Change logo (full path to logo image)</label></th>
			<td>
				<input name="logo_img" type="text" id="logo_img" value="<?php echo get_option('designpile_logo_img'); ?>" class="regular-text" /><br />
				<em>current logo:</em> <br /> <img src="<?php echo get_option('designpile_logo_img'); ?>" alt="<?php echo get_option('designpile_logo_alt'); ?>" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="logo_alt">Logo ALT Text</label></th>
			<td>
				<input name="logo_alt" type="text" id="logo_alt" value="<?php echo get_option('designpile_logo_alt'); ?>" class="regular-text" />
			</td>
		</tr>
        <tr valign="top">
			<th scope="row"><label for="logo_alt">Ads Section Enabled</label></th>
			<td>
				<select name="ads" id="ads">		
					<option value="no" <?php if(get_option('designpile_ads') == 'no'){?>selected="selected"<?php }?>>No</option>
                    <option value="yes" <?php if(get_option('designpile_ads') == 'yes'){?>selected="selected"<?php }?>>Yes</option>
				</select> <br />
                <em>This will make a difference after Wp125 plugin is installed and enabled</em>
			</td>
		</tr>
	</table>
	</fieldset>
    
    <fieldset style="border:1px solid #ddd; padding-bottom:20px; margin-top:20px;">
	<legend style="margin-left:5px; padding:0 5px; color:#2481C6;text-transform:uppercase;"><strong>Homepage Settings</strong></legend>
		<table class="form-table">	
        <tr>
        	<td colspan="2">You can set the homepage to display custom posts by tagging them with "homepost". If no such post is set, latest posts are displayed. You can set the number of these from the field below. </td>
        </tr>	
		<tr valign="top">
			<th scope="row"><label for="twitter_link">Number of latest posts to be displayed</label></th>
			<td>
				<input name="latest_posts" type="text" id="latest_posts" value="<?php echo get_option('designpile_latest_posts'); ?>" class="regular-text" /><br />
                <em>Default number is 6</em>
			</td>
		</tr>
		
        </table>
        </fieldset>
        
     <fieldset style="border:1px solid #ddd; padding-bottom:20px; margin-top:20px;">
	<legend style="margin-left:5px; padding:0 5px; color:#2481C6;text-transform:uppercase;"><strong>Contact Page Settings</strong></legend>
		<table class="form-table">	
        <tr>
        	<td colspan="2"></td>
        </tr>
         <tr valign="top">
			<th scope="row"><label for="contact_text">Contact Page Text</label></th>
			<td>
				<textarea name="contact_text" id="contact_text" rows="7" cols="70" style="font-size:11px;"><?php echo stripslashes(get_option('designpile_contact_text')); ?></textarea>
			</td>
		</tr>
        <tr valign="top">
			<th scope="row"><label for="contact_email">Email Address for Contact Form</label></th>
			<td>
				<input name="contact_email" type="text" id="contact_email" value="<?php echo get_option('designpile_contact_email'); ?>" class="regular-text" />
			</td>
		</tr>
        </table>
     </fieldset>
	
	<fieldset style="border:1px solid #ddd; padding-bottom:20px; margin-top:20px;">
	<legend style="margin-left:5px; padding:0 5px; color:#2481C6;text-transform:uppercase;"><strong>Social Links</strong></legend>
		<table class="form-table">
		<tr><td colspan="2">Use "http://" at the begining of URLs! ( e.g. http://www.twitter.com/youraccount )</td></tr>
		<tr valign="top">
			<th scope="row"><label for="twitter_link">Twitter link</label></th>
			<td>
				<input name="twitter_link" type="text" id="twitter_link" value="<?php echo get_option('designpile_twitter_link'); ?>" class="regular-text" />
			</td>
		</tr>
        <tr valign="top">
			<th scope="row"><label for="facebook_link">Facebook link</label></th>
			<td>
				<input name="facebook_link" type="text" id="facebook_link" value="<?php echo get_option('designpile_facebook_link'); ?>" class="regular-text" />
			</td>
		</tr>
        <tr valign="top">
			<th scope="row"><label for="flickr_link">Flickr link</label></th>
			<td>
				<input name="flickr_link" type="text" id="flickr_link" value="<?php echo get_option('designpile_flickr_link'); ?>" class="regular-text" />
			</td>
		</tr>
        </table>
        </fieldset>
        
      <fieldset style="border:1px solid #ddd; padding-bottom:20px; margin-top:20px;">
	<legend style="margin-left:5px; padding:0 5px; color:#2481C6;text-transform:uppercase;"><strong>SEO</strong></legend>
		<table class="form-table">
        <tr>
			<th><label for="keywords">Meta Keywords</label></th>
			<td>
				<textarea name="keywords" id="keywords" rows="7" cols="70" style="font-size:11px;"><?php echo get_option('designpile_keywords'); ?></textarea><br />
                <em>Keywords comma separated</em>
			</td>
		</tr>
        <tr>
			<th><label for="description">Meta Description</label></th>
			<td>
				<textarea name="description" id="description" rows="7" cols="70" style="font-size:11px;"><?php echo get_option('designpile_description'); ?></textarea>
			</td>
		</tr>
		<tr>
			<th><label for="ads">Google Analytics code:</label></th>
			<td>
				<textarea name="analytics" id="analytics" rows="7" cols="70" style="font-size:11px;"><?php echo stripslashes(get_option('designpile_analytics')); ?></textarea>
			</td>
		</tr>
		
	</table>
	</fieldset>
	<p class="submit">
		<input type="submit" name="Submit" class="button-primary" value="Save Changes" />
		<input type="hidden" name="designpile_settings" value="save" style="display:none;" />
	</p>
</form>

</div>
<?php }
/*******************************
  CONTACT FORM 
********************************/

 function hexstr($hexstr) {
  $hexstr = str_replace(' ', '', $hexstr);
  $hexstr = str_replace('\x', '', $hexstr);
  $retstr = pack('H*', $hexstr);
  return $retstr;
}

function strhex($string) {
  $hexstr = unpack('H*', $string);
  return array_shift($hexstr);
}
?>